




/****************************************************************************
*
*              
*             TEXAS INSTRUMENTS PROPRIETARY INFORMATION
*
*  (c) Copyright, Texas Instruments Incorporated, 2003.
*      All Rights Reserved.
*
*  Property of Texas Instruments Incorporated. Restricted Rights -
*  Use, duplication, or disclosure is subject to restrictions set
*  forth in TI's program license agreement and associated documentation.
*
***************************************************************************** 
*****************************************************************************
*
* NAME: fpc1010.h
*   
*
* DESCRIPTION: Header file describing FPC1010 sensor information
*   
*
* AUTHOR(S): Prashant Pansare
*    
*
* DATE CREATED.. 04/12/2002 
* LAST MODIFIED. 06/13/2003
*
* 
*                
*   
*
* COMPILATION: CCS 2.20.05 
*   
*
****************************************************************************/
#ifndef _FPC1010_H
#define _FPC1010_H
/* defination */
#define MAXROW    200                  /* Total number of row in sensor pixel matrix */
#define MAXCOLUMN 152                  /* Total number of column in sensor pixel matrix */

          

/* FPC1010 instruction summary */
#define READ_SHFTX 0x45
#define READ_SHFTY 0x49
#define READ_SHFTX_SHFTY 0x4D
#define READSAME_ELEMENT 0x41
#define READ_STATUS 0x5D
#define SENSX    0x61
#define WRITE_DRIVX 0x65
#define SENSY    0x69
#define WRITE_DRIVY 0x6D
#define COMMAND  0x79
#define RESET    0x7D
#define START_COORDINATE 0x01
#define TX_EN

#endif /* _FPC1010_H */
