
/****************************************************************************
*
*              
*             TEXAS INSTRUMENTS PROPRIETARY INFORMATION
*
*  (c) Copyright, Texas Instruments Incorporated, 2003.
*      All Rights Reserved.
*
*  Property of Texas Instruments Incorporated. Restricted Rights -
*  Use, duplication, or disclosure is subject to restrictions set
*  forth in TI's program license agreement and associated documentation.
*
***************************************************************************** 
*****************************************************************************
*
* NAME: spi.h
*   
*
* DESCRIPTION: Header file describing SPI serial port driver.
*   
*
* DATE CREATED.. 04/12/2002 
* LAST MODIFIED. 06/13/2003
*   
*
* COMPILATION: CCS 2.20.05
*   
*
****************************************************************************/

#ifndef _SPI_H
#define _SPI_H

/* Define Macros */

// Address for Timer Control Registers (TCR0 and TCR1)
#define TIMER_REG0    0x01940000           
#define TIMER_REG1    0x01980000 

//Timer 0 and 1 are being used as General purpose outputs, to set/reset 
// and enable/disable the sensor.

#define SPI_ENABLE    (*(unsigned volatile char*)TIMER_REG0 = 0x00)
#define SPI_DISABLE   (*(unsigned volatile char*)TIMER_REG0 = 0x04)
#define SPI_RESET     (*(unsigned volatile char*)TIMER_REG1 = 0x00)
#define SPI_SET       (*(unsigned volatile char*)TIMER_REG1 = 0x04)


#define MCBSP_CLOCK_MHZ 75 /* Mcbsp Clock Speed not over 75 MHz   */

#endif /* _SPI_H */

